Bug 989057 - Hibernating in kernel-3.10.4-300 has some flaws [NEEDINFO]
Hibernating in kernel-3.10.4-300 has some flaws
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-27 04:52 EDT by Joachim Backes
Modified: 2014-03-10 10:44 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:44:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
pm-suspend.log (7.55 KB, text/x-log)
2013-07-31 02:14 EDT, Joachim Backes
no flags Details

  None (edit)
Description Joachim Backes 2013-07-27 04:52:27 EDT
Description of problem:

If hibernating my box with pm-hibernate, the box hangs up and is not switched off. If then pressing the box's switchoff button in this state and switchon again, the system resumes to the old state, but this state is very unstable: the gnome-shells continuously logs out the session. Getting rid from this is only possible by a reboot. 

No such behaviour with

kernel-3.9.9-302.fc19.x86_64 or
kernel-3.10.2-301.fc19.x86_64

Version-Release number of selected component (if applicable):
kernel-3.10.3-300.fc19.x86_64

How reproducible:
Each time when calling pm-hibernate.

Steps to Reproduce:
1.sudo pm-hibernate
2.
3.

Actual results:
Box hangs without beeing switched off 

Expected results:
Box is switched off


Additional info:
Comment 1 Dmitri A. Sergatskov 2013-07-27 16:10:43 EDT
I cannot boot 3.10.3-300 at all (i7-2600K / dz68bc m.b.).
Kernel panic/No logs saved, but I probably can take picture of the screen
if this is of any interest.

Dmitri.
--
Comment 2 Joachim Backes 2013-07-28 06:32:04 EDT
(In reply to Joachim Backes from comment #0)
> Description of problem:
> 
> If hibernating my box with pm-hibernate, the box hangs up and is not
> switched off. If then pressing the box's switchoff button in this state and
> switchon again, the system resumes to the old state, but this state is very
> unstable: the gnome-shells continuously logs out the session. Getting rid
> from this is only possible by a reboot. 
> 
> No such behaviour with
> 
> kernel-3.9.9-302.fc19.x86_64 or
> kernel-3.10.2-301.fc19.x86_64
> 
> Version-Release number of selected component (if applicable):
> kernel-3.10.3-300.fc19.x86_64
> 
> How reproducible:
> Each time when calling pm-hibernate.
> 
> Steps to Reproduce:
> 1.sudo pm-hibernate
> 2.
> 3.
> 
> Actual results:
> Box hangs without beeing switched off 
> 
> Expected results:
> Box is switched off
> 
> 
> Additional info:

/var/log/pm-powersave.log is empty, so I cannot add any log data!
Comment 3 Joachim Backes 2013-07-30 04:20:37 EDT
Possibly only x86_64 boxes are affected by this problem: I have an addidtional i686 box with the same kernel, but is doesn't show these problems.
Comment 4 Joachim Backes 2013-07-31 00:44:47 EDT
Got rid partially from the described problem by installing kernel-3.10.4-300.fc19.x86_64. Now the box is switched off, but still I have the strange session behaviour.
Comment 5 Joachim Backes 2013-07-31 02:14:53 EDT
Created attachment 780935 [details]
pm-suspend.log

/var/log/pm-suspend.log is not empty, so it will be attached
Comment 6 enzo 2013-08-15 11:26:26 EDT
I have the same problem with the PAE version of the kernel
( 3.9.11-200.fc18.i686.PAE ) on fedora 18

When hibernate the pc hang and must shutdown manually
Comment 7 Josh Boyer 2013-09-18 16:47:16 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 8 Joachim Backes 2013-09-19 06:11:11 EDT
The behaviour in 3.11.1-200.fc19 is a little bit better: The box switches off properly off if hibernated.

But: After resuming, a previously open gnome3 session now logs off without any interaction, and additional fresh gnome3 session now show the same behaviour. I  have to reboot for getting a clean system state.

Remarks: Open logins (before hibernating) in some TTY remain opon after resuming and are not logged out automatically, so it seems to be a problem dependending from the video card (X11).
Comment 9 Justin M. Forbes 2014-01-03 17:06:47 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 10 Justin M. Forbes 2014-03-10 10:44:37 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.